summaryrefslogtreecommitdiffstats
path: root/network/iodine
diff options
context:
space:
mode:
author David Miller2010-05-13 01:00:03 +0200
committer David Somero2010-05-13 01:00:03 +0200
commitb916111bf0ccccd22c0022fd56dce336b90eb090 (patch)
tree78b29cb375703309fca13e844589e6078ef7107d /network/iodine
parent7b2d26ea252c774c11f82af71c4eb30165e9f2c1 (diff)
downloadslackbuilds-b916111bf0ccccd22c0022fd56dce336b90eb090.tar.gz
network/iodine: Added to 13.0 repository
Diffstat (limited to 'network/iodine')
-rw-r--r--network/iodine/README5
-rw-r--r--network/iodine/iodine.SlackBuild73
-rw-r--r--network/iodine/iodine.info10
-rw-r--r--network/iodine/slack-desc19
4 files changed, 107 insertions, 0 deletions
diff --git a/network/iodine/README b/network/iodine/README
new file mode 100644
index 0000000000..8f0bfc9659
--- /dev/null
+++ b/network/iodine/README
@@ -0,0 +1,5 @@
+iodine (DNS tunnel)
+
+iodine lets you tunnel IPv4 data through a DNS server. This can be usable in
+different situations where internet access is firewalled, but DNS queries
+are allowed.
diff --git a/network/iodine/iodine.SlackBuild b/network/iodine/iodine.SlackBuild
new file mode 100644
index 0000000000..88d8ac2b24
--- /dev/null
+++ b/network/iodine/iodine.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for iodine
+
+# Written by David Miller dave@frop.net
+# This script is released into the public domain
+
+PRGNAM=iodine
+VERSION=${VERSION:-0.5.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+#patch that lets you forward real queries to ip other than localhost
+#http://dev.kryo.se/iodine/attachment/ticket/71/iodine-0.5.2.bind_ip.patch
+#patch -p1 < $CWD/iodine-0.5.2.bind_ip.patch
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make
+make install prefix=/usr mandir=/usr/man DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG README TODO doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/iodine/iodine.info b/network/iodine/iodine.info
new file mode 100644
index 0000000000..41202caef3
--- /dev/null
+++ b/network/iodine/iodine.info
@@ -0,0 +1,10 @@
+PRGNAM="iodine"
+VERSION="0.5.2"
+HOMEPAGE="http://code.kryo.se/iodine/"
+DOWNLOAD="http://code.kryo.se/iodine/iodine-0.5.2.tar.gz"
+MD5SUM="6952343cc4614857f83dbb81247871e7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Miller"
+EMAIL="dave@frop.net"
+APPROVED="dsomero"
diff --git a/network/iodine/slack-desc b/network/iodine/slack-desc
new file mode 100644
index 0000000000..264d0d8c7f
--- /dev/null
+++ b/network/iodine/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+iodine: iodine (DNS tunnel)
+iodine:
+iodine: iodine lets you tunnel IPv4 data through a DNS server. This can be
+iodine: usable in different situations where internet access is firewalled,
+iodine: but DNS queries are allowed.
+iodine:
+iodine:
+iodine:
+iodine:
+iodine:
+iodine: